Walletguide
DevelopersAPIReferencenotifications

Create notification

Only the types the app raises when someone assigns a transaction, comments or likes a comment; the recipient also gets an email unless they turned those…

POST
/wallets/{walletId}/notifications

Authorization

bearerAuth
headerAuthorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

Path Parameters

walletId*string

Row uuid

Formatuuid

Request Body

application/json
  1. body
type*string
Value in"assignedUser""bulkAssignedUser""newComment""likedComment"
recipientUserId*string

Row uuid

Formatuuid
payload*

The fields of the chosen type and nothing else, e.g. transactionId, commentId, commentText, transactionDate, transactionAssetName, transactionAmount and transactionFromToOrMerchant for newComment, or transactionIds for bulkAssignedUser.

Response Body

The created notification

application/json
  1. response
id*string
Formatuuid
walletId*string
Formatuuid
firestoreId*string|null
type*string
recipientUserId*string
readTime*|
Formatdate-time
payload*|null
createdTime*|
Formatdate-time
createdUserId*string|null
lastUpdatedTime*|
Formatdate-time
lastUpdatedUserId*string|null
Example Request
curl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/notifications' \  -H 'Content-Type: application/json' \  -d '{  "type": "assignedUser",  "recipientUserId": "b75206a2-d744-4b29-9351-fc8f8b811db2",  "payload": {    "property1": null,    "property2": null  }}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",  "firestoreId": "string",  "type": "string",  "recipientUserId": "string",  "readTime": "2019-08-24T14:15:22Z",  "payload": {    "property1": null,    "property2": null  },  "createdTime": "2019-08-24T14:15:22Z",  "createdUserId": "string",  "lastUpdatedTime": "2019-08-24T14:15:22Z",  "lastUpdatedUserId": "string"}